Change log for net-snmp package in Ubuntu

175 of 115 results
Published in xenial-updates on 2019-09-12
Deleted in xenial-proposed (Reason: moved to -updates)
net-snmp (5.7.3+dfsg-1ubuntu4.4) xenial; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

Published in bionic-updates on 2019-09-12
Deleted in bionic-proposed (Reason: moved to -updates)
net-snmp (5.7.3+dfsg-1.8ubuntu3.3) bionic; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

Published in disco-updates on 2019-09-12
Deleted in disco-proposed (Reason: moved to -updates)
net-snmp (5.7.3+dfsg-5ubuntu1.2) disco; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

Published in eoan-release on 2019-09-07
Deleted in eoan-proposed (Reason: moved to release)
net-snmp (5.7.3+dfsg-5ubuntu5) eoan; urgency=medium

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

 -- Eric Desrochers <email address hidden>  Sat, 07 Sep 2019 16:30:53 +0000
Superseded in eoan-release on 2019-09-07
Deleted in eoan-proposed on 2019-09-09 (Reason: moved to release)
net-snmp (5.7.3+dfsg-5ubuntu4) eoan; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

 -- Eric Desrochers <email address hidden>  Fri, 06 Sep 2019 23:15:43 +0000
Deleted in xenial-updates on 2019-09-10 (Reason: broken SRU (LP: #1843036))
Superseded in xenial-proposed on 2019-09-09
net-snmp (5.7.3+dfsg-1ubuntu4.3) xenial; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmpd startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <email address hidden>  Wed, 21 Aug 2019 13:01:38 +0100
Deleted in bionic-updates on 2019-09-10 (Reason: broken SRU (LP: #1843036))
Superseded in bionic-proposed on 2019-09-09
net-snmp (5.7.3+dfsg-1.8ubuntu3.2) bionic; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmpd startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <email address hidden>  Wed, 21 Aug 2019 12:55:14 +0100
Deleted in disco-updates on 2019-09-10 (Reason: broken SRU (LP: #1843036))
Superseded in disco-proposed on 2019-09-09
net-snmp (5.7.3+dfsg-5ubuntu1.1) disco; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmp startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <email address hidden>  Wed, 21 Aug 2019 11:46:06 +0000
Superseded in eoan-release on 2019-09-07
Deleted in eoan-proposed on 2019-09-08 (Reason: moved to release)
net-snmp (5.7.3+dfsg-5ubuntu3) eoan; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmpd startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <email address hidden>  Wed, 21 Aug 2019 12:22:37 +0100
Superseded in eoan-proposed on 2019-08-21
net-snmp (5.7.3+dfsg-5ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <email address hidden>  Mon, 12 Aug 2019 11:32:18 +0000
Superseded in eoan-release on 2019-08-22
Published in disco-release on 2019-02-06
Deleted in disco-proposed (Reason: moved to release)
net-snmp (5.7.3+dfsg-5ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
      set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP #1314760)
  * Drop:
    - SECURITY UPDATE: DoS via NULL pointer exception
      + debian/patches/CVE-2018-18065.patch: fix logic in
        agent/helpers/table.c.
      + CVE-2018-18065
      [Fixed in 5.7.3+dfsg-4]
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
      [Replaced by a more complete patch]
    - debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.
      [No more needed since 5.7.3+dfsg-5]
  * Added:
    - d/p/snmptrapd_mysql_init: drop this patch. The first part fixes builds
      with newer mariadb, which Ubuntu doesn't use, and the second part is
      an unrelated change which we are fixing in another patch (see #1814254
      for details).
    - d/p/0001-Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: Link
      libnetsnmptrapd against MYSQL_LIBS.  Thanks to Adam
      Williamson <email address hidden>. (Closes: #886221, LP: #1814254)
    - Fix build with mysql-8 (LP: #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use char
        instead.
      + d/p/my-load-defaults.patch: properly detect (and use)
        my_load_defaults(). This replaces the previous
        my_load_defaults patch.
      + d/p/mysql8-headers.patch: detect if my_global.h and my_sys.h are
        available
      + d/p/mysql-init.patch: handle the various mysql init functions
      + d/p/mysql-options.patch: use mysql_options if no {my_,}load_defaults
        was found.

Superseded in disco-release on 2019-02-06
Deleted in disco-proposed on 2019-02-08 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1.8ubuntu5) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <email address hidden>  Wed, 02 Jan 2019 17:37:45 -0500
Superseded in disco-release on 2019-01-08
Deleted in disco-proposed on 2019-01-10 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1.8ubuntu4) disco; urgency=medium

  * debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.

 -- Adam Conrad <email address hidden>  Mon, 05 Nov 2018 13:22:39 -0700
Superseded in disco-proposed on 2018-11-05
net-snmp (5.7.3+dfsg-1.8ubuntu3.18.10.2) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <email address hidden>  Fri, 02 Nov 2018 18:14:23 -0600
Superseded in disco-release on 2018-11-08
Deleted in disco-proposed (Reason: moved to release)
Published in cosmic-updates on 2018-10-22
Published in cosmic-security on 2018-10-22
net-snmp (5.7.3+dfsg-1.8ubuntu3.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <email address hidden>  Mon, 22 Oct 2018 08:03:49 -0400
Published in trusty-updates on 2018-10-15
Published in trusty-security on 2018-10-15
net-snmp (5.7.2~dfsg-8.1ubuntu3.3) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <email address hidden>  Mon, 15 Oct 2018 10:17:19 -0400
Superseded in xenial-updates on 2019-09-12
Superseded in xenial-updates on 2019-09-05
Published in xenial-security on 2018-10-15
net-snmp (5.7.3+dfsg-1ubuntu4.2) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <email address hidden>  Mon, 15 Oct 2018 10:16:47 -0400
Superseded in bionic-updates on 2019-09-12
Superseded in bionic-updates on 2019-09-05
Published in bionic-security on 2018-10-15
net-snmp (5.7.3+dfsg-1.8ubuntu3.1) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <email address hidden>  Mon, 15 Oct 2018 10:16:15 -0400
Superseded in disco-release on 2018-10-31
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-03-02
Deleted in bionic-proposed (Reason: moved to release)
net-snmp (5.7.3+dfsg-1.8ubuntu3) bionic; urgency=medium

  * d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
    set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP: #1314760)

 -- Christian Ehrhardt <email address hidden>  Tue, 20 Feb 2018 15:24:41 +0100
Superseded in xenial-updates on 2018-10-15
Deleted in xenial-proposed on 2018-10-17 (Reason: moved to -updates)
net-snmp (5.7.3+dfsg-1ubuntu4.1) xenial; urgency=medium

  * d/snmpd.init: also match start-stop-daemon against pidfile to avoid
    killing extra snmpd processes for example in container (LP: #1720109)

 -- Christian Ehrhardt <email address hidden>  Tue, 20 Feb 2018 14:53:51 +0100
Superseded in bionic-release on 2018-03-02
Deleted in bionic-proposed on 2018-03-03 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1.8ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <email address hidden>  Tue, 06 Feb 2018 17:54:39 +0000
Superseded in bionic-release on 2018-02-09
Deleted in bionic-proposed on 2018-02-11 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1.8ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1742518). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Dropped:
    - Avoid installing links in rc[06].d.
      [It's not clear what it was trying to solve (no details or bug
      number), but update-rc.d no longer takes start/stop arguments and
      this delta was actually resulting in warnings during the installation.
      Also, Ubuntu is using systemd now and this package has systemd service
      files.]

 -- Andreas Hasenack <email address hidden>  Thu, 11 Jan 2018 16:07:07 -0200
Superseded in bionic-release on 2018-02-02
Published in artful-release on 2017-08-24
Deleted in artful-proposed (Reason: moved to release)
net-snmp (5.7.3+dfsg-1.7ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1712569). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Avoid installing links in rc[06].d.
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Drop:
    - SECURITY UPDATE: denial of service and possible code execution via
      incompletely parsed varBind variables
      + debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
        varbinds in snmplib/snmp_api.c.
      + CVE-2015-5621
      [Added by Debian as 0025-Bug-788964-net-snmp-snmp_pdu_parse-DoS.patch
      in 5.7.3+dfsg-1.1]
    - debian/snmp.preinst:
      It turns out that the original motivation why killall was added is gone.
      So we can just remove the killall introduced by Ubuntu LP #573391
      (Closes: #781257, LP #1245604)
      [Fixed in Debian 5.7.3+dfsg-1.1]
    - Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
      add patch from upstream git which removes the U64 typedef from the
      Net-SNMP header files.
      Thanks to Niky Tyni for extracting the patch.
      (Closes: #825014)
      [Fixed in Debian 5.7.3+dfsg-1.5]
    - Additionally add another patch from upstream git which fixes
      perl/*/Makefile.PL to fix build failures with Perl 5.24.
      Cf. https://sourceforge.net/p/net-snmp/bugs/2712/
      [Fixed in Debian 5.7.3+dfsg-1.5]

 -- Andreas Hasenack <email address hidden>  Wed, 23 Aug 2017 10:29:35 -0300
Superseded in artful-release on 2017-08-24
Deleted in artful-proposed on 2017-08-25 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1ubuntu6) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <email address hidden>  Wed, 26 Jul 2017 20:11:36 +0000
Superseded in artful-release on 2017-08-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1ubuntu5) zesty; urgency=medium

  * Cherry-pick two patches from Debian's 5.7.3+dfsg-1.5:
  * Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
    add patch from upstream git which removes the U64 typedef from the
    Net-SNMP header files.
    Thanks to Niky Tyni for extracting the patch.
    (Closes: #825014)
  * Additionally add another patch from upstream git which fixes
    perl/*/Makefile.PL to fix build failures with Perl 5.24.
    Cf. https://sourceforge.net/p/net-snmp/bugs/2712/

 -- Iain Lane <email address hidden>  Tue, 25 Oct 2016 10:28:38 +0100
Superseded in zesty-release on 2016-11-01
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-07
Deleted in xenial-proposed (Reason: moved to release)
net-snmp (5.7.3+dfsg-1ubuntu4) xenial; urgency=medium

  * Rebuild against libmysqlclient20.
  * d/p/my_load_defaults: use my_load_defaults instead of the
    libmysqlclient-internal load_defaults (LP: #1565003). Thanks to Lars
    Tangvald.

 -- Robie Basak <email address hidden>  Tue, 05 Apr 2016 15:17:35 +0000
Superseded in trusty-updates on 2018-10-15
Deleted in trusty-proposed on 2018-10-17 (Reason: moved to -updates)
net-snmp (5.7.2~dfsg-8.1ubuntu3.2) trusty-proposed; urgency=medium

  * debian/libsnmp-dev.install
    - add missing net-snmp-create-v3-user (LP: #1322431)

 -- Brian Murray <email address hidden>  Fri, 12 Feb 2016 14:27:01 -0800
Superseded in xenial-release on 2016-04-07
Deleted in xenial-proposed on 2016-04-08 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1ubuntu3) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <email address hidden>  Fri, 18 Dec 2015 01:20:38 +0000
Superseded in xenial-release on 2016-01-06
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1ubuntu2) wily; urgency=medium

  * debian/snmp.preinst:
    It turns out that the original motivation why killall was added is gone.
    So we can just remove the killall introduced by Ubuntu LP #573391
    (Closes: #781257, LP: #1245604)

 -- Christian Ehrhardt <email address hidden>  Fri, 09 Oct 2015 13:18:25 +0200
Superseded in wily-release on 2015-10-12
Deleted in wily-proposed on 2015-10-13 (Reason: moved to release)
net-snmp (5.7.3+dfsg-1ubuntu1) wily; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Add apport hook.
    - Avoid installing links in rc[06].d.
  * Dropped patches included in new version:
    - debian/patches/00upstream-btrfs.patch
    - debian/patches/CVE-2012-6151.patch
    - debian/patches/CVE-2014-2284.patch
    - debian/patches/CVE-2014-2285.patch
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

Superseded in trusty-updates on 2016-04-20
Superseded in trusty-security on 2018-10-15
net-snmp (5.7.2~dfsg-8.1ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted SNMP trap message
    - debian/patches/CVE-2014-3565.patch: handle variables with wrong types
      in snmplib/mib.c.
    - CVE-2014-3565
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

 -- Marc Deslauriers <email address hidden>  Thu, 13 Aug 2015 10:27:24 -0400
Obsolete in vivid-updates on 2018-01-18
Obsolete in vivid-security on 2018-01-18
net-snmp (5.7.2~dfsg-8.1ubuntu5.1) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted SNMP trap message
    - debian/patches/CVE-2014-3565.patch: handle variables with wrong types
      in snmplib/mib.c.
    - CVE-2014-3565
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

 -- Marc Deslauriers <email address hidden>  Thu, 13 Aug 2015 10:22:26 -0400
Published in precise-updates on 2015-08-17
Published in precise-security on 2015-08-17
net-snmp (5.4.3~dfsg-2.4ubuntu1.3) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted SNMP trap message
    - debian/patches/CVE-2014-3565.patch: handle variables with wrong types
      in snmplib/mib.c.
    - CVE-2014-3565
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

 -- Marc Deslauriers <email address hidden>  Thu, 13 Aug 2015 10:31:34 -0400
Superseded in wily-release on 2015-08-18
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
net-snmp (5.7.2~dfsg-8.1ubuntu5) utopic; urgency=medium

  * Backport from 5.7.2.1~dfsg-6.1:
    - Fix "hardcodes /usr/lib/perl5":
      Make debian/libsnmp-perl.install executable and use
      $Config{vendorarch} to get the perl library directory. Patch from Niko
      Tyni.
      (Closes: #751918)
 -- Colin Watson <email address hidden>   Wed, 20 Aug 2014 11:16:35 +0100
Obsolete in lucid-updates on 2016-10-26
Obsolete in lucid-security on 2016-10-26
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu2.3) lucid-security; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285
  * SECURITY UPDATE: denial of service via multiple-object requests
    - debian/patches/CVE-2014-2310.patch: fix lengths in
      agent/mibgroup/agentx/protocol.c.
    - CVE-2014-2310
 -- Marc Deslauriers <email address hidden>   Tue, 11 Mar 2014 10:10:12 -0400
Superseded in precise-updates on 2015-08-17
Superseded in precise-security on 2015-08-17
net-snmp (5.4.3~dfsg-2.4ubuntu1.2) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285
  * SECURITY UPDATE: denial of service via multiple-object requests
    - debian/patches/CVE-2014-2310.patch: fix lengths in
      agent/mibgroup/agentx/protocol.c.
    - CVE-2014-2310
 -- Marc Deslauriers <email address hidden>   Tue, 11 Mar 2014 10:08:53 -0400
Obsolete in quantal-updates on 2015-04-24
Obsolete in quantal-security on 2015-04-24
net-snmp (5.4.3~dfsg-2.5ubuntu1.1) quantal-security; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285
  * SECURITY UPDATE: denial of service via multiple-object requests
    - debian/patches/CVE-2014-2310.patch: fix lengths in
      agent/mibgroup/agentx/protocol.c.
    - CVE-2014-2310
 -- Marc Deslauriers <email address hidden>   Tue, 11 Mar 2014 09:57:44 -0400
Obsolete in saucy-updates on 2015-04-24
Obsolete in saucy-security on 2015-04-24
net-snmp (5.7.2~dfsg-8ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service when ICMP-MIB is in use
    - debian/patches/CVE-2014-2284.patch: fix ICMP mib table handling in
      agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/kernel_linux.*.
    - CVE-2014-2284
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285
 -- Marc Deslauriers <email address hidden>   Tue, 11 Mar 2014 09:46:15 -0400
Superseded in utopic-release on 2014-08-27
Published in trusty-release on 2014-04-08
Deleted in trusty-proposed (Reason: moved to release)
net-snmp (5.7.2~dfsg-8.1ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service when ICMP-MIB is in use
    - debian/patches/CVE-2014-2284.patch: fix ICMP mib table handling in
      agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/kernel_linux.*.
    - CVE-2014-2284
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285
 -- Marc Deslauriers <email address hidden>   Tue, 08 Apr 2014 08:17:14 -0400
Superseded in trusty-release on 2014-04-08
Deleted in trusty-proposed on 2014-04-09 (Reason: moved to release)
net-snmp (5.7.2~dfsg-8.1ubuntu2) trusty; urgency=medium

  * Add 00upstream-btrfs.patch: Add btrfs support to hrFSTable. Cherrypicked
    from upstream, by way of Nafallo Bjälevik. Thanks! (LP: #1289503)
 -- Martin Pitt <email address hidden>   Wed, 12 Mar 2014 13:24:18 +0100
Superseded in trusty-release on 2014-03-12
Deleted in trusty-proposed on 2014-03-13 (Reason: moved to release)
net-snmp (5.7.2~dfsg-8.1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add apport hook.
    - Avoid installing links in rc[06].d.

Superseded in trusty-release on 2013-10-29
Deleted in trusty-proposed on 2013-10-30 (Reason: moved to release)
net-snmp (5.7.2~dfsg-8ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.
 -- Colin Watson <email address hidden>   Mon, 21 Oct 2013 12:30:05 +0100
Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
net-snmp (5.7.2~dfsg-8ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200516).  Remaining changes:
    + Add apport hook (LP: #533603):
      - debian/source.apport: apport hook
      - debian/control: Build-depends on dh-apport.
      - debian/rules:
        + Add --with apport.
        + override_dh_apport to install hook on snmpd package only.
  * Call dh_installinit correctly to avoid installing links in rc[06].d

Superseded in saucy-release on 2013-07-25
Deleted in saucy-proposed on 2013-07-26 (Reason: moved to release)
net-snmp (5.7.2~dfsg-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
  * debian/patches/ubuntu-fix-lp-587828.patch: Drop. Fixed upstream.

Superseded in saucy-release on 2013-06-02
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
net-snmp (5.4.3~dfsg-2.7ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches
    - debian/{control,rules}: Use dh_python2

Superseded in raring-release on 2012-12-06
Obsolete in quantal-release on 2015-04-24
net-snmp (5.4.3~dfsg-2.5ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches
    - debian/{control,rules}: Use dh_python2
  * Dropped changes:
    - debian/patches/50_use_bash.patch: Patch wasn't actually being
      applied, and upstream apparently fixed this in 5.4.2.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Patch wasn't actually
      being applied, and fix is included in 56_manpage.patch.
    - debian/snmpd.postinst: Source debconf before doing work: included in
      debian package now.
    - debian/patches/99-fix-ubuntu-div0.patch: wasn't applied.
    - debian/patches/CVE-2008-6123.*: wasn't applied.
    - debian/patches/CVE-2012-2141.patch: use debian's patch.
    - debian/README.Debian-source: this change is irrelevant since we
      use the debian tarball as-is.
    - debian/rules: removed misc irrelevant and undocumented changes.
    - debian/snmpd.postinst: no longer need to remove shutdown and reboot
      links since this is from Maverick-era.

Superseded in quantal-release on 2012-06-20
net-snmp (5.4.3~dfsg-2.4ubuntu2) quantal; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141
 -- Marc Deslauriers <email address hidden>   Tue, 22 May 2012 16:30:48 -0400
Superseded in precise-updates on 2014-04-14
Superseded in precise-security on 2014-04-14
net-snmp (5.4.3~dfsg-2.4ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141
 -- Marc Deslauriers <email address hidden>   Tue, 22 May 2012 16:34:46 -0400
Obsolete in oneiric-updates on 2015-04-24
Obsolete in oneiric-security on 2015-04-24
net-snmp (5.4.3~dfsg-2.2ubuntu1.1) oneiric-security; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141
 -- Marc Deslauriers <email address hidden>   Tue, 22 May 2012 16:36:07 -0400
Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
net-snmp (5.4.1~dfsg-4ubuntu4.4) hardy-security; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/55_CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141
 -- Marc Deslauriers <email address hidden>   Tue, 22 May 2012 16:55:38 -0400
Superseded in lucid-updates on 2014-04-14
Superseded in lucid-security on 2014-04-14
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu2.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141
 -- Marc Deslauriers <email address hidden>   Tue, 22 May 2012 16:53:47 -0400
Obsolete in natty-updates on 2013-06-04
Obsolete in natty-security on 2013-06-04
net-snmp (5.4.3~dfsg-2ubuntu1.1) natty-security; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141
 -- Marc Deslauriers <email address hidden>   Tue, 22 May 2012 16:52:01 -0400
Superseded in quantal-release on 2012-05-23
Published in precise-release on 2012-01-23
net-snmp (5.4.3~dfsg-2.4ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - net-snmp-config: Use bash.
    - Removed multiuser option when calling update-rc.d.
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in
      snmpcmd.1.
    - debian/snmpd.postinst: Source debconf before doing work.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches
    - debian/rules: Use dh_python2

Superseded in precise-release on 2012-01-23
net-snmp (5.4.3~dfsg-2.3ubuntu3) precise; urgency=low

  * Build using dh_python2.
 -- Matthias Klose <email address hidden>   Wed, 14 Dec 2011 15:48:05 +0100
Superseded in precise-release on 2011-12-14
net-snmp (5.4.3~dfsg-2.3ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.
 -- Colin Watson <email address hidden>   Tue, 15 Nov 2011 20:49:15 +0000
Superseded in precise-release on 2011-11-15
net-snmp (5.4.3~dfsg-2.3ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - net-snmp-config: Use bash.
    - Removed multiuser option when calling update-rc.d.
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in
      snmpcmd.1.
    - debian/snmpd.postinst: Source debconf before doing work.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches.

Superseded in precise-release on 2011-11-07
Obsolete in oneiric-release on 2015-04-24
net-snmp (5.4.3~dfsg-2.2ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (LP: #780149).  Remaining changes:
    - net-snmp-config: Use bash.
    - Removed multiuser option when calling update-rc.d.
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in
      snmpcmd.1.
    - debian/snmpd.postinst: Source debconf before doing work.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches.

Superseded in oneiric-release on 2011-05-10
net-snmp (5.4.3~dfsg-2ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.
 -- Colin Watson <email address hidden>   Sat, 07 May 2011 23:29:06 +0100
Superseded in oneiric-release on 2011-05-07
Obsolete in natty-release on 2013-06-04
net-snmp (5.4.3~dfsg-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash (LP: #104738)
    - Removed multiuser option when calling update-rc.d (LP: #254261)
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcmd.1
      (LP: #250459)
    - debian/snmpd.postinst: source debconf before doing work. (LP: #589056)
    - debian/snmp.preinst, debian/snmp.prerm: kill any/all processes owned by
      snmp user before install/uninstall (LP: #573391)
    - Add apport hook (LP: #533603):
      - debian/control: Build-depends on dh-apport.
      - debian/rules:
        + Add --with apport.
        + override_dh_apport to install hook on snmpd package only.
     - debian/patches/ubntu-fix-lp-58728.patch: Fix row creation for 64bit
       arches. (LP: #587828)
     - Fix build failures with ld --no-add-needed.

Superseded in natty-release on 2011-02-02
net-snmp (5.4.3~dfsg-1ubuntu5) natty; urgency=low

  * Fix build failure with ld --no-add-needed.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 23:45:33 +0000
Superseded in natty-release on 2010-12-04
net-snmp (5.4.3~dfsg-1ubuntu4) natty; urgency=low

  * Rebuild to add support for python 2.7.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 00:05:05 +0000
Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
net-snmp (5.4.3~dfsg-1ubuntu3) maverick; urgency=low

  * debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit arches.
    (LP: #587828)
 -- Chuck Short <email address hidden>   Wed, 25 Aug 2010 10:18:45 -0400
Superseded in maverick-release on 2010-08-25
net-snmp (5.4.3~dfsg-1ubuntu2) maverick; urgency=low

  * No-change rebuild against current debhelper to drop sizable upstream
    changelog.
 -- Martin Pitt <email address hidden>   Mon, 02 Aug 2010 08:34:07 +0200
Superseded in maverick-release on 2010-08-02
net-snmp (5.4.3~dfsg-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash. (LP: #104738)
    - Removed multiuser option when calling update-rc.d. (LP: #254261)
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcmd.1
      (LP: #250459)
    - debian/snmpd.postinst: source debconf before doing work, LP: #589056
    - debian/snmp.preinst, debian/snmp.prerm: kill any/all processes owned by
      snmp user before install/uninstall, LP: #573391
    - Add apport hook (LP: #533603):
    - debian/{snmp,snmpd}.apport: Added.
    - debian/control: Build-depends on dh-apport.
    - debian/rules:
      + Add --with apport.
      + override_dh_apport to install hook on snmpd package only.
   * Dropped patches:
     - debian/patches/99-fix-ubuntu-div0.patch: Fix dvision by zero..
 -- Chuck Short <email address hidden>   Mon, 28 Jun 2010 14:59:36 -0400
Superseded in maverick-release on 2010-06-28
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu4) maverick; urgency=low

  * debian/snmpd.postinst: source debconf before doing work, LP: #589056
  * debian/snmp.preinst, debian/snmp.prerm: kill any/all processes owned by
    snmp user before install/uninstall, LP: #573391
 -- Dustin Kirkland <email address hidden>   Tue, 22 Jun 2010 14:04:48 -0500
Superseded in lucid-updates on 2012-05-23
Superseded in lucid-security on 2012-05-23
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu2.1) lucid-security; urgency=low

  * SECURITY UPDATE: access restriction bypass
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516801
    - http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17367
    - CVE-2008-6123
 -- Corey Wright <email address hidden>   Mon, 31 May 2010 00:00:29 -0500
Superseded in maverick-release on 2010-06-22
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: access restriction bypass
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516801
    - http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17367
    - CVE-2008-6123
 -- Corey Wright <email address hidden>   Mon, 31 May 2010 00:00:29 -0500
Superseded in maverick-release on 2010-06-02
Obsolete in lucid-release on 2016-10-26
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu2) lucid; urgency=low

  * Add apport hook (LP: #533603):
    - debian/{snmp,snmpd}.apport: Added.
    - debian/control: Build-depends on dh-apport.
    - debian/rules:
      + Add --with apport.
      + override_dh_apport to install hook on snmpd package only.
 -- Andres Rodriguez <email address hidden>   Sun, 28 Mar 2010 00:25:13 -0400
Superseded in lucid-release on 2010-04-01
net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu1) lucid; urgency=low

  * Repackage upstream tarball to re-add the MIBs: even if they are not
    modifiable (which is questionable), this is not a reason to keep them
    out of Ubuntu main.
  * Revert the changes to prompt about MIB downloads.
  * Call dh_installinit correctly to avoid installing links in rc[06].d
  * Temporarily re-add postinst snippet to clean up rc[06].d links left by
    the previous upload.
  * Fix egg name listed in debian/rules, apparently needed to fix another
    build failure.
 -- Steve Langasek <email address hidden>   Sat, 12 Dec 2009 00:05:34 -0800
Superseded in lucid-release on 2009-12-12
net-snmp (5.4.2.1~dfsg-3ubuntu2) lucid; urgency=low

  * Fix FTBFS.
 -- Chuck Short <email address hidden>   Thu, 26 Nov 2009 13:20:26 -0500
Superseded in lucid-release on 2009-11-26
net-snmp (5.4.2.1~dfsg-3ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash. (LP: #104738)
    - Removed multiuser option when calling update-rc.d. (LP: #254261)
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcmd.1
      (LP: #250459)
    - debian/patches/99-fix-ubuntu-div0.patch: Fix dvision by zero.
      (LP: #426813).
   * Dropped patches:
     - debian/patches/101-fix-ipalias.patch: Applied upstream.
     - debian/patches/99-fix-net-snmp-syslog.patch: Applied upstream.
     - debian/patches/99-fix-perl-counter-in-subagent.patch: Applied upstream.
     - ebian/patches/103-fix-ubuntu-lmsensors.patch: No longer needed.

Superseded in lucid-release on 2009-11-26
Obsolete in karmic-release on 2013-03-04
net-snmp (5.4.1~dfsg-12ubuntu7) karmic; urgency=low

  * debian/patches/99-fix-ubuntu-div0.patch: Fix division by zero.
    (LP: #426813).

 -- Chuck Short <email address hidden>   Mon, 28 Sep 2009 14:02:16 -0400
Obsolete in jaunty-updates on 2013-02-28
Deleted in jaunty-proposed on 2013-02-28 (Reason: moved to -updates)
net-snmp (5.4.1~dfsg-12ubuntu3.1) jaunty-proposed; urgency=low

  *  debian/patches/101-fix-ipalias.patch: Fix flooding syslog -
     Syslog fills with hundreds of these errors if you have a network
     interface, e.g. eth2, with no IP address, but you have an alias,
     e.g. eth2:1, that does have an IP address (and netmask).
     (LP: #270713)
  *  debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
     place for /etc/sensors3.conf. (LP: #192745)
  *  debian/patches/99-fix-perl-counter-in-subagent.patch: Fix for Counter64 in
     perl subagent. (LP: #406171)

 -- Chuck Short <email address hidden>   Tue, 15 Sep 2009 15:53:48 -0400
Deleted in intrepid-proposed on 2010-03-04 (Reason: unverified SRU, timing out)
net-snmp (5.4.1~dfsg-7.1ubuntu6.2) intrepid-proposed; urgency=low

  * debian/patches/101-fix-ipalias.patch: Fix flooding syslog -
    Syslog fills with hundreds of these errors if you have a network
    interface, e.g. eth2, with no IP address, but you have an alias,
    e.g. eth2:1, that does have an IP address (and netmask).
    (LP: #270713)
  * debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
    place for /etc/sensors3.conf. (LP: #192745)
  * debian/patches/99-fix-perl-counter-in-subagent.patch: Fix for Counter64 in
    perl subagent. (LP: #406171)

 -- Chuck Short <email address hidden>   Tue, 15 Sep 2009 15:18:46 -0400
Superseded in hardy-updates on 2012-05-23
Deleted in hardy-proposed on 2012-05-25 (Reason: moved to -updates)
net-snmp (5.4.1~dfsg-4ubuntu4.3) hardy-proposed; urgency=low

  * debian/patches/101-fix-ipalias.patch: Fix flooding syslog -
    Syslog fills with hundreds of these errors if you have a network
    interface, e.g. eth2, with no IP address, but you have an alias,
    e.g. eth2:1, that does have an IP address (and netmask).
    (LP: #270713)
  * debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
    place for /etc/sensors3.conf. (LP: #192745)
  * debian/patches/99-fix-perl-counter-in-subagent.patch: Fix for Counter64 in
    perl subagent. (LP: #406171)
  * debian/patches/53_fix_python_regression.patch: Fix python segmentation fault.
    (LP: #347361)
  * debian/patches/54_fix_registration_error.patch: Surpresses annoying
    registrations in startup. (LP: #200614)

 -- Chuck Short <email address hidden>   Tue, 15 Sep 2009 14:13:51 -0400
175 of 115 results